Get Payment Request Status
curl --request GET \
--url https://api.changu.app/api/v1/wallet/payment-request/{requestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.changu.app/api/v1/wallet/payment-request/{requestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.changu.app/api/v1/wallet/payment-request/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "APPROVED",
"amount": 1000,
"currency": "MWK",
"description": "Payment for service XYZ",
"createdAt": "2026-01-22T17:25:00.000Z",
"expiresAt": "2026-01-22T17:30:00.000Z"
}{
"statusCode": 400,
"message": "Invalid encrypted wallet ID"
}{
"statusCode": 400,
"message": "Invalid encrypted wallet ID"
}{
"statusCode": 400,
"message": "Invalid encrypted wallet ID"
}Wallet
Get Payment Request Status
Check the status of a payment request.
GET
/
wallet
/
payment-request
/
{requestId}
Get Payment Request Status
Authorizations
Bearer token authentication using developer secret key. Format: Bearer sk_live_your_secret_key_here
Path Parameters
Payment request ID
Response
Payment request status retrieved successfully
Example:
"550e8400-e29b-41d4-a716-446655440000"
Available options:
PENDING, APPROVED, REJECTED, EXPIRED, CANCELLED Example:
"APPROVED"
Example:
1000
Example:
"MWK"
Example:
"Payment for service XYZ"
Example:
"2026-01-22T17:25:00.000Z"
Example:
"2026-01-22T17:30:00.000Z"
